For the complete documentation index, see llms.txt. This page is also available as Markdown.

Integrations Response

List Response Integrations

get

Returns an array of response integrations.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

List of Response Integrations Requested, or an array containing the new/updated Response Integration after a Create or Update operation.

application/json
get/api/v1/integrations/response
GET /api/v1/integrations/response HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": [
    {
      "adapter": "bgp",
      "name": "text",
      "description": "text",
      "config": {
        "expiration": 3600,
        "community": "65534:999",
        "factors": [
          "srcip"
        ],
        "max": 0,
        "neighbors": [
          "96.91.123.225-96.91.123.226"
        ],
        "nexthop": "192.0.2.1",
        "whitelist": [
          "96.91.123.225"
        ]
      }
    }
  ]
}

Create Response Integration

post

Creates a response integration from the data that's been supplied. Do not provide an id. IDs are auto generated

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

List of Response Integrations Requested, or an array containing the new/updated Context Integration after a Create or Update operation.

adapterstring · enumRequired

The type of response integration. The config object is dependant on this.

Possible values:
namestringRequired

The name of the response integration

descriptionstringRequired

The description of the response integration.

configone ofOptional
or
or
or
or
or
or
or
or
or
or
or
or
or
or
Responses
201

List of Response Integrations Requested, or an array containing the new/updated Response Integration after a Create or Update operation.

application/json
post/api/v1/integrations/response
POST /api/v1/integrations/response HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 229

{
  "adapter": "bgp",
  "name": "text",
  "description": "text",
  "config": {
    "expiration": 3600,
    "community": "65534:999",
    "factors": [
      "srcip"
    ],
    "max": 0,
    "neighbors": [
      "96.91.123.225-96.91.123.226"
    ],
    "nexthop": "192.0.2.1",
    "whitelist": [
      "96.91.123.225"
    ]
  }
}
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": [
    {
      "adapter": "bgp",
      "name": "text",
      "description": "text",
      "config": {
        "expiration": 3600,
        "community": "65534:999",
        "factors": [
          "srcip"
        ],
        "max": 0,
        "neighbors": [
          "96.91.123.225-96.91.123.226"
        ],
        "nexthop": "192.0.2.1",
        "whitelist": [
          "96.91.123.225"
        ]
      }
    }
  ]
}

Test a Response Integration Configuration

post

Tests the supplied Response Integration configuration.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

List of Response Integrations Requested, or an array containing the new/updated Context Integration after a Create or Update operation.

adapterstring · enumRequired

The type of response integration. The config object is dependant on this.

Possible values:
namestringRequired

The name of the response integration

descriptionstringRequired

The description of the response integration.

configone ofOptional
or
or
or
or
or
or
or
or
or
or
or
or
or
or
Responses
201

List of Response Integrations Requested, or an array containing the new/updated Response Integration after a Create or Update operation.

application/json
post/api/v1/integrations/response/test
POST /api/v1/integrations/response/test HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 229

{
  "adapter": "bgp",
  "name": "text",
  "description": "text",
  "config": {
    "expiration": 3600,
    "community": "65534:999",
    "factors": [
      "srcip"
    ],
    "max": 0,
    "neighbors": [
      "96.91.123.225-96.91.123.226"
    ],
    "nexthop": "192.0.2.1",
    "whitelist": [
      "96.91.123.225"
    ]
  }
}
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": [
    {
      "adapter": "bgp",
      "name": "text",
      "description": "text",
      "config": {
        "expiration": 3600,
        "community": "65534:999",
        "factors": [
          "srcip"
        ],
        "max": 0,
        "neighbors": [
          "96.91.123.225-96.91.123.226"
        ],
        "nexthop": "192.0.2.1",
        "whitelist": [
          "96.91.123.225"
        ]
      }
    }
  ]
}

Fetch Response Integration

get

Fetches a specific response integration from the ID supplied in the path.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The ID of the response integration to be returned.

Responses
200

List of Response Integrations Requested, or an array containing the new/updated Response Integration after a Create or Update operation.

application/json
get/api/v1/integrations/response/{id}
GET /api/v1/integrations/response/{id} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": [
    {
      "adapter": "bgp",
      "name": "text",
      "description": "text",
      "config": {
        "expiration": 3600,
        "community": "65534:999",
        "factors": [
          "srcip"
        ],
        "max": 0,
        "neighbors": [
          "96.91.123.225-96.91.123.226"
        ],
        "nexthop": "192.0.2.1",
        "whitelist": [
          "96.91.123.225"
        ]
      }
    }
  ]
}

Update Response Integration

put

Update a response integration given the provided object. This does not do a diff. You must send the complete object.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The ID of the response integration to be updated

Body

List of Response Integrations Requested, or an array containing the new/updated Context Integration after a Create or Update operation.

adapterstring · enumRequired

The type of response integration. The config object is dependant on this.

Possible values:
namestringRequired

The name of the response integration

descriptionstringRequired

The description of the response integration.

configone ofOptional
or
or
or
or
or
or
or
or
or
or
or
or
or
or
Responses
200

List of Response Integrations Requested, or an array containing the new/updated Response Integration after a Create or Update operation.

application/json
put/api/v1/integrations/response/{id}
PUT /api/v1/integrations/response/{id} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 229

{
  "adapter": "bgp",
  "name": "text",
  "description": "text",
  "config": {
    "expiration": 3600,
    "community": "65534:999",
    "factors": [
      "srcip"
    ],
    "max": 0,
    "neighbors": [
      "96.91.123.225-96.91.123.226"
    ],
    "nexthop": "192.0.2.1",
    "whitelist": [
      "96.91.123.225"
    ]
  }
}
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": [
    {
      "adapter": "bgp",
      "name": "text",
      "description": "text",
      "config": {
        "expiration": 3600,
        "community": "65534:999",
        "factors": [
          "srcip"
        ],
        "max": 0,
        "neighbors": [
          "96.91.123.225-96.91.123.226"
        ],
        "nexthop": "192.0.2.1",
        "whitelist": [
          "96.91.123.225"
        ]
      }
    }
  ]
}

Delete Response Integration

delete

Deletes a response integration

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The ID of the response integration to be deleted

Responses
204

An empty array

No content

delete/api/v1/integrations/response/{id}
DELETE /api/v1/integrations/response/{id} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Last updated